NETQ-AGENT(8)

NAME
netq-agent - Cumulus NetQ Telemetry Agent

SYNOPSIS
netq-agent [-h]

DESCRIPTION
        netq-agent is part of the Cumulus NetQ Telemetry suite of tools. It runs on a network switch or server host and collects system state by executing commands and monitoring netlink events. It periodically pushes this information to a central database, where it can be used by 'netq' to analyze network issues as a whole.

GETTING STARTED
        netq-agent needs to communicate with a central database to push network events, and hence a way to reach the database needs to be specified, which is the database hostname and port. The simplest and the easiest way to do this would be the following:

        netq config add server <ip-server>|<server-name> [port <port>]

        You can also edit this information in the 'backend' section in the config file at /etc/netq/netq.yml or in a separate file in /etc/netq/config.d/.

        To start the NetQ Telemetry Agent on a node, you can do:
                netq config agent start

        or use systemctl to manage and control the daemon.

OPTIONS

    -h, --help
        Show this help message and exit

FILES

            /etc/netq/netq.yml
                Primary configuration file for all Cumulus NetQ tools.

SEE ALSO

netq(8)

AUTHOR
Cumulus Networks <support at cumulusnetworks dot com>

COPYRIGHT
2026, 2017 Cumulus Networks